## ros-humble-mola-input-rawlog 0.2.2

=== CMakeLists.txt ===
# ------------------------------------------------------------------------------
#        A Modular Optimization framework for Localization and mApping
#                               (MOLA)
#
# Copyright (C) 2018-2023, Jose Luis Blanco-Claraco, contributors (AUTHORS.md)
# All rights reserved.
# Released under GNU GPL v3. See LICENSE file
# ------------------------------------------------------------------------------

# Minimum CMake vesion: limited by CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS
cmake_minimum_required(VERSION 3.4)

# Tell CMake we'll use C++ for use in its tests/flags
project(mola_input_rawlog LANGUAGES CXX)

# MOLA CMake scripts: "mola_xxx()"
find_package(mola_common REQUIRED)
# find dependencies:
find_package(mrpt-obs REQUIRED)

find_mola_package(mola_kernel)

# -----------------------
# define lib:
file(GLOB_RECURSE LIB_SRCS src/*.cpp src/*.h)
file(GLOB_RECURSE LIB_PUBLIC_HDRS include/*.h)

mola_add_library(
	TARGET ${PROJECT_NAME}
	SOURCES ${LIB_SRCS} ${LIB_PUBLIC_HDRS}
	PRIVATE_LINK_LIBRARIES
		mola_kernel
		mrpt::obs
	CMAKE_DEPENDENCIES
		mola_kernel
		mrpt-obs
)

=== debian/changelog ===
ros-humble-mola-input-rawlog (0.2.2-1jammy) jammy; urgency=high

  * First complete public release
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

ros-humble-mola-input-rawlog (0.2.1-1jammy) jammy; urgency=high

  * Initial commit
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 15 Feb 2019 23:00:00 -0000

=== debian/control ===
Source: ros-humble-mola-input-rawlog
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-humble-mola-kernel, ros-humble-mrpt2, ros-humble-ros-workspace
Homepage: https://github.com/MOLAorg/
Standards-Version: 3.9.2

Package: ros-humble-mola-input-rawlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-mola-kernel, ros-humble-mrpt2, ros-humble-ros-workspace
Description: Offline RawDataSource from MRPT rawlog datasets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-mola-input-rawlog//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-mola-input-rawlog//opt/ros/humble/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-mola-input-rawlog 1.0.5

=== debian/changelog ===
ros-humble-mola-input-rawlog (1.0.5-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-mola-input-rawlog (1.0.4-1bookworm) bookworm; urgency=high

  * bump cmake_minimum_required to 3.5
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-mola-input-rawlog (1.0.3-1bookworm) bookworm; urgency=high

  * Fix package.xml website URL
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Apr 2024 16:00:00 -0000

ros-humble-mola-input-rawlog (1.0.2-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 03 Apr 2024 16:00:00 -0000

ros-humble-mola-input-rawlog (1.0.1-1bookworm) bookworm; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-humble-mola-input-rawlog (1.0.0-1bookworm) bookworm; urgency=high

  * Refactor initialize()
  * Implement UI Dataset in the rest of dataset sources
  * New option to shutdown automatically mola-cli after dataset ends
  * Fix boundless memory usage growth in rawlog inputs
  * Show dataset replay progress percent
  * Correct usage of mola:: namespace in cmake targets
  * copyright update
  * reorganize as monorepo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 18 Mar 2024 16:00:00 -0000

ros-humble-mola-input-rawlog (0.2.2-1bookworm) bookworm; urgency=high

  * First complete public release
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 16:00:00 -0000

ros-humble-mola-input-rawlog (0.2.1-1bookworm) bookworm; urgency=high

  * Initial commit
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 15 Feb 2019 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), cmake, ros-humble-mola-kernel, ros-humble-mrpt2, ros-humble-ros-workspace
-Homepage: https://github.com/MOLAorg/
+Homepage: https://github.com/MOLAorg/mola/tree/develop/mola_input_rawlog
 Standards-Version: 3.9.2
 
 Package: ros-humble-mola-input-rawlog
